var fs = require('fs');
var requireDir = require('require-dir');

var config = require('./base/config');

config.assetOrigins.forEach(function(origin)
{
    var originTaskFolder = './' + origin + '/tasks';
    if (fs.existsSync(originTaskFolder))
    {
        requireDir(originTaskFolder, { recurse: true });
    }
});
